ALAS-2012-122


Amazon Linux AMI Security Advisory: ALAS-2012-122
Advisory Release Date: 2014-09-14 16:56 Pacific
Severity: Medium
References: CVE-2012-3520 

Issue Overview:

The Netlink implementation in the Linux kernel before 3.2.30 does not properly handle messages that lack SCM_CREDENTIALS data, which might allow local users to spoof Netlink communication via a crafted message, as demonstrated by a message to (1) Avahi or (2) NetworkManager.


Affected Packages:

kernel


Issue Correction:
Run yum update kernel to update your system. You will need to reboot your system in order for the new kernel to be running.

New Packages:
i686:
    kernel-3.2.28-45.63.amzn1.i686
    kernel-devel-3.2.28-45.63.amzn1.i686
    kernel-debuginfo-common-i686-3.2.28-45.63.amzn1.i686
    kernel-tools-3.2.28-45.63.amzn1.i686
    kernel-debuginfo-3.2.28-45.63.amzn1.i686
    kernel-tools-debuginfo-3.2.28-45.63.amzn1.i686
    kernel-headers-3.2.28-45.63.amzn1.i686

noarch:
    kernel-doc-3.2.28-45.63.amzn1.noarch

src:
    kernel-3.2.28-45.63.amzn1.src

x86_64:
    kernel-tools-3.2.28-45.63.amzn1.x86_64
    kernel-tools-debuginfo-3.2.28-45.63.amzn1.x86_64
    kernel-devel-3.2.28-45.63.amzn1.x86_64
    kernel-debuginfo-3.2.28-45.63.amzn1.x86_64
    kernel-3.2.28-45.63.amzn1.x86_64
    kernel-headers-3.2.28-45.63.amzn1.x86_64
    kernel-debuginfo-common-x86_64-3.2.28-45.63.amzn1.x86_64